#ifndef _BOARD_EASY3111_H
#define _BOARD_EASY3111_H
/******************************************************************************

                               Copyright (c) 2008
                            Infineon Technologies AG
                     Am Campeon 1-12; 81726 Munich, Germany

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

  ****************************************************************************
   Module      : board_easy3111.h
   Description :
 ****************************************************************************
   \file board_easy3111.h

   \remarks
      
   \note Changes:
*******************************************************************************/

/* ============================= */
/* Includes                      */
/* ============================= */
#include "device_duslic_xt.h"

/* ============================= */
/* Debug interface               */
/* ============================= */

/* ============================= */
/* Global Defines                */
/* ============================= */

/* ============================= */
/* Global Variables              */
/* ============================= */

/** IRQ number definition for FXO on EASY3111, currently not used. */
#define INT_NUM_IRQ        0

/* ============================= */
/* Global Structures             */
/* ============================= */

/* ============================= */
/* Global function declaration   */
/* ============================= */
IFX_return_t BOARD_Easy3111_Register(BOARD_t* pBoard);

#endif /* _BOARD_EASY3111_H */
