
#ifndef _DUSLIC_FXO_H
#define _DUSLIC_FXO_H
/******************************************************************************

                               Copyright (c) 2008
                            Infineon Technologies AG
                     Am Campeon 1-12; 81726 Munich, Germany

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

  ****************************************************************************/

/**
   \file duslic_fxo.h
   \date 2007-05-31
   \brief Function prototypes for duslic - FXO.

*/

#ifdef FXO
#ifdef DUSLIC_FXO

/* ============================= */
/* Includes                      */
/* ============================= */

/* ============================= */
/* Global Defines                */
/* ============================= */

/* ============================= */
/* Local Macros & Definitions    */
/* ============================= */

/* ============================= */
/* Global Structures and enums   */
/* ============================= */

/* ============================= */
/* Global variable definition    */
/* ============================= */
extern IFX_char_t* sDUSLIC_CH_DEV_NAME;
extern IFX_char_t* sDUSLIC_CTRL_DEV_NAME;

/* ============================= */
/* Global function declaration   */
/* ============================= */

IFX_return_t DUSLIC_Init(BOARD_t* pBoard, GPIO_ACCESS_DEV_t eType);
IFX_return_t DUSLIC_Register(TAPIDEMO_DEVICE_FXO_t* pFxoDevice);

#endif /* DUSLIC_FXO */
#endif /* FXO */

#endif /* _DUSLIC_FXO_H */
